# List templates (/api-reference/templates/listTemplates)

`GET /templates`

Base URL: `https://next-api.useplunk.com`

Get a paginated list of email templates

## Query parameters

- `limit`: integer — Maximum items per page
- `cursor`: string — Pagination cursor
- `type`: enum ("TRANSACTIONAL" | "MARKETING")
- `search`: string

## Responses

### `200` — List of templates

- `templates`: array<object>
  items:
    - `id`: string
    - `name`: string
    - `subject`: string
    - `body`: string
    - `type`: enum ("TRANSACTIONAL" | "MARKETING")
    - `createdAt`: string (date-time)
- `total`: integer
- `page`: integer
- `pageSize`: integer
- `totalPages`: integer

```json
{
  "templates": [
    {
      "id": "string",
      "name": "string",
      "subject": "string",
      "body": "string",
      "type": "TRANSACTIONAL",
      "createdAt": "2026-05-17T18:27:16.111Z"
    }
  ],
  "total": 0,
  "page": 0,
  "pageSize": 0,
  "totalPages": 0
}
```

## Example request

```bash
curl -X GET 'https://next-api.useplunk.com/templates' \
  -H 'Authorization: Bearer YOUR_API_KEY'
```
